CVE-2018-14454

See a problem?
Source
https://nvd.nist.gov/vuln/detail/CVE-2018-14454
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2018-14454.json
JSON Data
https://api.osv.dev/v1/vulns/CVE-2018-14454
Published
2018-07-20T15:29:00Z
Modified
2024-06-30T13:06:42.348507Z
Severity
  • 8.8 (High) CVSS_V3 - CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H CVSS Calculator
Summary
[none]
Details

An issue was discovered in libgig 4.1.0. There is an out-of-bounds read in the function RIFF::Chunk::Read in RIFF.cpp.

References

Affected packages

Debian:11 / libgig

Package

Name
libgig
Purl
pkg:deb/debian/libgig?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected

Affected versions

4.*

4.2.0~ds1-2
4.3.0~ds1-1
4.3.0~ds1-2
4.3.0~ds1-2.1~exp1
4.3.0~ds1-2.1

Ecosystem specific

{
    "urgency": "unimportant"
}

Debian:12 / libgig

Package

Name
libgig
Purl
pkg:deb/debian/libgig?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected

Affected versions

4.*

4.3.0~ds1-2
4.3.0~ds1-2.1~exp1
4.3.0~ds1-2.1

Ecosystem specific

{
    "urgency": "unimportant"
}

Debian:13 / libgig

Package

Name
libgig
Purl
pkg:deb/debian/libgig?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected

Affected versions

4.*

4.3.0~ds1-2
4.3.0~ds1-2.1~exp1
4.3.0~ds1-2.1

Ecosystem specific

{
    "urgency": "unimportant"
}